%define debug_package %{nil}
%define timezonefile %_sysconfdir/php.d/00_op5_timezone.ini
%if 0%{?suse_version}
%define daemon_group www
%define httpconfdir %_sysconfdir/apache2/conf.d
%else
%define daemon_group apache
%define httpconfdir %_sysconfdir/httpd/conf.d
%endif

Summary: Empty dummy package that depends either on httpd or apache2 based on vendor
Name: op5-httpd
Version: %{op5version}
Release: %{op5release}%{?dist}
Epoch: 1
Group: op5/system-addons
License: MIT
Prefix: %repodir
Source0: %name-%version.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}
BuildArch: noarch
%if "%{_vendor}" == "redhat"
Requires: httpd
Requires: php-common
Requires: mod_ssl
Requires: php
%else
Requires: apache2
Requires: apache2-mod_php53
Requires: apache2-prefork
Requires: php53
%endif
Provides: op5-monitor-supported-webserver

%description
This is an empty dummy package that statisfies the dependencies of op5's
webserver depending packages.

%prep
%setup -q

%build

%install
rm -rf %buildroot
mkdir -p -m 755 %buildroot%repodir

install -d %buildroot%_docdir/op5-httpd-%{version}
install README.op5-monitor-supported-webservers %buildroot%_docdir/op5-httpd-%{version}/README
install -d %buildroot%httpconfdir
install -m 644 op5-httpd-rewrite-rule.conf %buildroot%httpconfdir/op5-rewrite-rule.conf
install -m 644 op5-httpd-header-options.conf %buildroot%httpconfdir/op5-header-options.conf
install -m 644 op5-httpd-method-trace-track.conf %buildroot%httpconfdir/op5-method-trace-track.conf
mkdir -p -m 755 %buildroot%_sysconfdir/php.d
touch %buildroot%timezonefile

%post
%if "%{_vendor}" == "redhat"
	if ! php -r 'set_error_handler(function ($errno, $errstr){exit(1);});date_default_timezone_get();' ; then
		# PHP time zone is not set.
		%if 0%{?rhel} >= 7
			system_timezone=$(/usr/bin/timedatectl 2>/dev/null | grep 'Time zone' | awk '{ print $3 }')
		%else # el6
			system_timezone=$(grep ZONE /etc/sysconfig/clock 2>/dev/null | cut -d'"' -f 2)
		%endif
		if [ "x$system_timezone" == "x" ];then
			echo "Couldn't figure out system timezone, using UTC"
			system_timezone=UTC
		fi
		echo "date.timezone = $system_timezone" > %timezonefile
	fi
	%if 0%{?rhel} >= 7
		systemctl enable httpd
		systemctl restart httpd
	%else #el6
		chkconfig httpd on
		service httpd restart
	%endif
%else #sles
if [ ! -e /etc/apache2/vhosts.d/vhost-ssl.conf ]; then
	cp /etc/apache2/vhosts.d/vhost-ssl.template  /etc/apache2/vhosts.d/vhost-ssl.conf
fi
if [[ ! -e /etc/apache2/ssl.crt/server.crt || ! $(grep -q SKIPME /etc/apache2/ssl.crt/server.crt) ]]; then
	pushd /usr/share/doc/packages/apache2/
	./mkcert.sh make --no-print-directory /usr/bin/openssl /usr/sbin/ dummy
	popd
fi
a2enflag SSL
a2enmod rewrite
chkconfig apache2 on
service apache2 restart
%endif

%files
%defattr(-, root, root)
%doc %_docdir/op5-httpd-%{version}/README
%httpconfdir/op5-rewrite-rule.conf
%httpconfdir/op5-header-options.conf
%httpconfdir/op5-method-trace-track.conf
%config(noreplace) %attr(644, root, root) %ghost %timezonefile

%clean
rm -rf %buildroot
